# Register an iMessage sender

Registers an iMessage sender.

```http
POST https://api.pozy.ai/v1/imessage/senders
```

- Area: Messaging / iMessage
- Auth: Authorization: Bearer pz_live_...
- Not available yet: calls return 403 feature_not_available

## Request body

Content type: `application/json`

- `profileId`, string, required
- `sender`, string, required
- `displayName`, string: Up to 100 characters
- `provider`, string: One of `standard`

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/imessage/senders" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "profileId": "6a0b6573846efc28aaa9a3ff",
  "sender": "string"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/imessage/senders", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    profileId: "6a0b6573846efc28aaa9a3ff",
    sender: "string"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/imessage/senders",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "profileId": "6a0b6573846efc28aaa9a3ff",
        "sender": "string",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `account`, object
  - `id`, string
  - `platform`, string: One of `imessage`
  - `sender`, string
  - `optInLink`, string: Can be null
  - `displayName`, string
  - `profileId`, string: Can be null
  - `provider`, string
  - `senderVerified`, boolean
  - `isActive`, boolean

```json
{
  "success": true,
  "account": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "platform": "imessage",
    "sender": "string",
    "optInLink": "string",
    "displayName": "Acme",
    "profileId": "6a0b6573846efc28aaa9a3ff",
    "provider": "string",
    "senderVerified": true,
    "isActive": true
  }
}
```
